<?php

/**
 * Header Navigation template.
 *
 * @package ThemeStarter
 */

require_once(get_theme_file_path('/includes/helper_functions.php'));

?>

<!-- <header class="mb-32 lg:mb-44 shadow-lg"> -->
<header class="shadow-lg">


  <!-- Header -->
  <nav id="header-nav" class="w-full top-0 z-50">


    <section class="relative">
      <?php get_search_form(); ?>

      <!-- Core Nav -->
      <div class="relative p-4 bg-white backdrop-blur-lg w-full shadow-md">

        <div class="relative z-50 flex justify-between max-w-7xl mx-auto">
          <!-- Header Logo -->
          <a class="relative z-50 flex items-center space-x-4" href="<?php echo get_site_url(); ?>">
            <img class="lg:hidden" width="40px" src="<?php echo get_template_directory_uri(); ?>/assets/images/logos/harplabs-icon.svg" alt="Harplabs Inc Icon" />
            <img class="hidden lg:block" width="200px" src="<?php echo get_template_directory_uri(); ?>/assets/images/logos/harplabs-logo-dark.png" alt="Harplabs Inc Dark Logo" />
          </a>
        </div>

    </section>
  </nav>
  <div id="header-padder"></div>
  <!-- Slide Out Section -->
  <section id="slide-out-menu" class="fixed z-50 top-0 bg-gray-200 bg-opacity-80 backdrop-blur-sm w-10/12 sm:w-3/5 lg:w-2/5 xl:w-4/12 2xl:w-3/12 h-full px-2">
    <nav class="h-full space-y-8 overflow-x-hidden overflow-y-scroll no-scrollbar pt-12 pb-28">

      <!-- Menu Section -->
      <div>

        <div class="mb-2">
          <a href="<?= esc_url(get_home_url()); ?>" class="flex items-center justify-center space-x-4 ">
            <img class="w-2/5" src="<?php echo get_template_directory_uri(); ?>/assets/images/logos/harplabs-logo-dark.png" alt="Harplabs Inc Full Logo" />
          </a>
        </div>

        <div class="mx-auto mb-4 w-11/12 h-1 border-t border-stone-400"></div>

        <?php get_template_part('template-parts/partials/menu-accordion-loop')
        ?>

      </div>

      <?php
      get_template_part('template-parts/partials/start-a-conversation-button');
      ?>
    </nav>
  </section>

</header>